#include<iostream>
#include<stdio.h>

using namespace std;

int main()
{
	long long n, k, x;
	cin >> n >> k;
	for(int i = 0;i < n;i++)
		for(int j = 0;j < n;j++)
			cin >> x;
	cout << "-1";
	return 0;
}